/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// goaliepositionbehavior.h Mon Jul 23 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef GOALIEPOSITIONBEHAVIOR_H
#define GOALIEPOSITIONBEHAVIOR_H

#include "behavior.h"
#include "goaliepositionperception.h"
#include "goaliepositionrecommendation.h"
#include "runaction.h"
#include "turnneckaction.h"

/**
  *@author UVa RoboCup Team
  */

class GoaliePositionBehavior : public Behavior  {
public: 
	GoaliePositionBehavior(const WorldModel& _wmWorld);
	virtual ~GoaliePositionBehavior();
    virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
    GoaliePositionPerception perGPP;
	
};

#endif
