/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// GoalKickStallbehavior.h Mon Jul 2 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _GOALKICKSTALLBEHAVIOR_H_
#define _GOALKICKSTALLBEHAVIOR_H_

#include "behavior.h"
#include "goalkickstallperception.h"

class GoalKickStallBehavior : public Behavior
{
public: 
	GoalKickStallBehavior(const WorldModel &_wmWorld);
	virtual ~GoalKickStallBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList &recList);

private:
	const GoalKickStallPerception perGoalKickStall;
	int iStartTime;
};

#endif
