/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// gohomebehavior.h Tue Jul 10 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _GOHOMEBEHAVIOR_H_
#define _GOHOMEBEHAVIOR_H_

#include "behavior.h"
#include "gohomeperception.h"

class GoHomeBehavior : public Behavior
{
public: 
	GoHomeBehavior(const WorldModel &_wmWorld, const Vector2d &_vHome);
	virtual ~GoHomeBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
	const GoHomePerception perGoHome;
	const Vector2d vHome;
};

#endif
