/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// offensecenterbehavior.h Fri Aug 3 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef OFFENSECENTERBEHAVIOR_H
#define OFFENSECENTERBEHAVIOR_H

#include "behavior.h"
#include "offensecenterperception.h"
#include "runaction.h"

class OffenseCenterBehavior : public Behavior
{
public: 
	OffenseCenterBehavior(const WorldModel &_wmWorld);
	virtual ~OffenseCenterBehavior();
	virtual bool isUseful();
	virtual void evaluate(RecommendationList &recList);

private:
	OffenseCenterPerception perOffCenter;
};

#endif
