/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// worldball.h Fri Jun 8 2001
// Description: WorldBall represents a ball in the WorldModel
//////////////////////////////////////////////////////////////////////

#ifndef _WORLDBALL_H_
#define _WORLDBALL_H_

#include "worldmovableobject.h"
#include "sensor.h"

class WorldBall : public WorldMovableObject
{
public: 
	WorldBall();
	virtual ~WorldBall();
	WorldBall& operator+=(const SensorObject &sbBall);
	WorldBall& operator+=(const ExactObject &_eBall);

};

ostream& operator<<(ostream& _out, WorldBall &_wbBall);

#endif
