/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// action.cpp Fri Jun 8 2001
// Description:
//////////////////////////////////////////////////////////////////////

#include "action.h"

Action::Action()
{
}

Action::~Action()
{
}

/*
Action* Action::copy() const
{
	return new Action(*this);
}
*/

int Action::getDuration() const
{
	return iDuration;
}

void Action::setDuration(int _iDuration)
{
	iDuration = _iDuration;
}

/*
ServerCommand* Action::translate() const
{
	return NULL;
}
*/

ostream& Action::ostream_insert(ostream& _out) const
{
    // WARNING: This is a virtual function
    _out << "Action";
    return _out;
}

/*
ofstream& Action::ofstream_insert(ofstream& _fout) const
{
    // WARNING: This is a virtual function
    return _fout;
}
*/

ostream& operator<<(ostream& _out, const Action& _act)
{
    _act.ostream_insert(_out);
    return _out;
}

ofstream& operator<<(ofstream& _fout, const Action& _act)
{
    _act.ofstream_insert(_fout);
    return _fout;
}
