/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// clearballperception.h Thu Jul 19 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _CLEARBALLPERCEPTION_H_
#define _CLEARBALLPERCEPTION_H_

#include "perception.h"

class ClearBallPerception : public Perception
{
public: 
	ClearBallPerception(const WorldModel &_wmWorld);
	virtual ~ClearBallPerception();
	bool atBall() const;
	bool onDefense() const;
	Angle angleToKick() const;
protected:
	bool inDefensiveThird(const WorldObject& _woObj) const;
    bool inDefensiveHalf(const WorldObject& _woObj) const;
	bool atBall(const WorldPlayer &_wpPlayer) const;
};

#endif
