/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// coverbehavior.h Tue Jul 3 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef COVERBEHAVIOR_H
#define COVERBEHAVIOR_H

#include "behavior.h"
#include "perception.h"
#include "coverperception.h"
#include "runaction.h"

/**
  *@author UVa RoboCup Team
  */

class CoverBehavior : public Behavior  {
public: 
	CoverBehavior(const WorldModel &_wmWorld);
	~CoverBehavior();

	bool isUseful();
    virtual void evaluate(RecommendationList& recList);
	
private:

	CoverPerception perCover;

};

#endif
