/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// kickoffperception.h Wed Jul 11 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef KICKOFFPERCEPTION_H
#define KICKOFFPERCEPTION_H

#include "perception.h"
#include "vector2d.h"
#include "debug.h"
#include "types.h"

/**
  *@author UVa RoboCup Team
  */

class KickoffPerception : public Perception  {
public: 
	KickoffPerception(const WorldModel& _wmWorld);
	virtual ~KickoffPerception();
	
	bool isActiveMode() const;

	Angle getBodyDir() const;	
	Vector2d getMyKickoffPos() const;	
	bool atPosition() const;
};

#endif
